/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ProjectResourceTypeApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ProjectResourceTypeApiTests : IDisposable
    {
        private ProjectResourceTypeApi instance;

        public ProjectResourceTypeApiTests()
        {
            instance = new ProjectResourceTypeApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectResourceTypeApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ProjectResourceTypeApi
            //Assert.IsType<ProjectResourceTypeApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdResourceTypesOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdResourceTypesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //instance.ApiV2ProjectsProjectIdResourceTypesOptions(projectId);
        }

        /// <summary>
        /// Test GetAvailableResourceTypesInformationForProject
        /// </summary>
        [Fact]
        public void GetAvailableResourceTypesInformationForProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //var response = instance.GetAvailableResourceTypesInformationForProject(projectId);
            //Assert.IsType<ResourceTypeInformationDtoIEnumerableResponse>(response);
        }
    }
}
